import { jsx as _jsx } from "@stencil/core/jsx-runtime";
import { Host } from "@stencil/core";
export class Banner {
    host;
    variant = "info";
    render() {
        return (_jsx(Host, { variant: this.variant, children: _jsx("section", { class: "dds-banner", part: "banner", children: _jsx("slot", {}, '96847d8de19cd1952cc2ff8e6421600eb3ee3a92') }, 'a7b13d133ed02fae1817b50a43345f29a6d0709a') }, '2a95c70d92c8e98caac5af89a612002176a35edd'));
    }
    static get is() { return "dds-banner"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["../reset.css", "banner.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["../reset.css", "banner.css"]
        };
    }
    static get properties() {
        return {
            "variant": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "\"info\" | \"success\" | \"warning\" | \"error\"",
                    "resolved": "\"error\" | \"info\" | \"success\" | \"warning\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "variant",
                "defaultValue": "\"info\""
            }
        };
    }
    static get elementRef() { return "host"; }
}
